NFSTEST_XID(1)

NAME
nfstest_xid - Verify packets are matched correctly by their XID

SYNOPSIS
nfstest_xid <trace1> [<trace2> ...]

DESCRIPTION
Search all the packet traces given for XID inconsistencies. Verify all operations in the NFSv4.x COMPOUND reply are the same as the operations given in the call.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

  Packet display:

--load-body=LOAD_BODY
    Display RPC payload body [default: False]

  Debug:

--enum-check=ENUM_CHECK
    If set to True, enums are strictly enforced [default: False]

--debug-level=DEBUG_LEVEL
    Set debug level messages

--unpack-error=UNPACK_ERROR
    Raise unpack error when True

--error
    Exit on first error

EXAMPLES
$ nfstest_xid /tmp/trace1.pcap

NOTES
Valid for packet traces with NFSv4 and above

SEE ALSO
nfstest_alloc(1), nfstest_cache(1), nfstest_delegation(1), nfstest_dio(1), nfstest_fcmp(1), nfstest_file(1), nfstest_interop(1), nfstest_io(1), nfstest_lock(1), nfstest_pkt(1), nfstest_pnfs(1), nfstest_posix(1), nfstest_rdma(1), nfstest_sparse(1), nfstest_ssc(1), nfstest_xattr(1), packet.pktt(3), packet.unpack(3), packet.utils(3)

BUGS
No known bugs.

AUTHOR
Jorge Mora (mora@netapp.com)